## org.eclipse.jst.jsf.core.jsfappconfig
Class ImplicitRuntimeJSFAppConfigProvider

    java.lang.Object
      org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigProvider
          org.eclipse.jst.jsf.core.jsfappconfig.ImplicitRuntimeJSFAppConfigProvider

All Implemented Interfaces:
  IJSFAppConfigProvider

    public class ImplicitRuntimeJSFAppConfigProvider

extends AbstractJSFAppConfigProvider

ImplicitRuntimeJSFAppConfigProvider provides an application configuration model that contains implicit configuration objects provided by a JSF implementation at runtime.

Provisional API - subject to change

Constructor Summary
`ImplicitRuntimeJSFAppConfigProvider()`

Method Summary
`boolean` `equals(java.lang.Object otherObject)`
`FacesConfigType` `getFacesConfigModel()` Gets the root element of the application configuration model for read access.
`int` `hashCode()`
`void` `releaseFacesConfigModel()` Releases resources associated with acquiring the application configuration model (if any).
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigProvider
`setJSFAppConfigLocater`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImplicitRuntimeJSFAppConfigProvider

    public ImplicitRuntimeJSFAppConfigProvider()

Method Detail

### getFacesConfigModel

    public FacesConfigType getFacesConfigModel()

  Description copied from interface: `IJSFAppConfigProvider`
  Gets the root element of the application configuration model for read access.

  Specified by:
    `getFacesConfigModel` in interface `IJSFAppConfigProvider`
  Specified by:
    `getFacesConfigModel` in class `AbstractJSFAppConfigProvider`
  Returns:
    FacesConfigType instance, which is the root element of an application configuration model.

### releaseFacesConfigModel

    public void releaseFacesConfigModel()

  Description copied from interface: `IJSFAppConfigProvider`
  Releases resources associated with acquiring the application configuration model (if any).

  Specified by:
    `releaseFacesConfigModel` in interface `IJSFAppConfigProvider`
  Specified by:
    `releaseFacesConfigModel` in class `AbstractJSFAppConfigProvider`

### equals

    public boolean equals(java.lang.Object otherObject)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`